.earn-credit-section {
    position: relative;
    width: 100%;
    height: 90vh;
    min-height: 80vh;
    margin-top: 100px;
}

.earn-credit-bg-wrapper {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    z-index: 0;
}

.earn-credit-bg-image {
    position: absolute;
    left: 50%;
    top: 80px;
    transform: translateX(-50%);
    height: 100%;
    width: auto;
    object-fit: contain;
    object-position: 50% 25%;
    opacity: 0.6;
    }

.earn-credit-line {
    position: relative;
    top: 80px;
    margin-left: 20%;
    background: linear-gradient(90deg, #e6421d, rgba(0, 0, 0, 0));
    height: 2px;
    z-index: 1;
}

.earn-credit-overlay {
    position: absolute;
    top: 90px;
    left: 20%;
    width: 80%;
    height: 70%;
    background: linear-gradient(to bottom, rgba(0, 0, 0, 0.8), rgba(115, 115, 115, 0));
}

.earn-credit-blur-bg {
    position: absolute;
    bottom: 0;
    right: 0;
    width: 100%;
    height: 25%;
    background: linear-gradient(to top, #000 0%, rgba(0, 0, 0, 0) 100%);
    pointer-events: none;
}

.earn-credit-iphone {
    position: absolute;
    top: 0;
    left: 5%;
    width: 30vw;
    min-width: 220px;
    height: 100%;
    object-fit: contain;
    z-index: 1;
    object-position: top center;
}

.earn-credit-text-wrapper {
    position: absolute;
    bottom: 10%;
    left: 37%;
    width: 75%;
    max-width: 600px;
    z-index: 2;
}

@media (max-width: 768px) {
    .earn-credit-section {
        margin-top: 40px;
        height: auto;
        min-height: auto;
        left: 0px;
    }

    .earn-credit-line {
        display: none;
    }

    .earn-credit-bg-image {
        left: 50%;
        top: 60px;
        transform: translateX(-50%);
        height: 100%;
        width: auto;
        opacity: 0.3;
    }

    .earn-credit-overlay {
        display: none;
    }

    .earn-credit-iphone {
        position: relative;
        width: 60%;
        max-width: 280px;
        left: 0px;
        height: 400px;
        margin: 0 auto 20px;
        display: block;
        z-index: 1;
    }

    .earn-credit-text-wrapper {
        position: relative;
        bottom: auto;
        left: 0;
        width: 100%;
        padding: 16px 16px 20px;
        text-align: center;
    }
}